Network Security Perimeter Configurations - List By Private Link Scope
列出专用链接范围的网络安全外围配置。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridCompute/privateLinkScopes/{scopeName}/networkSecurityPerimeterConfigurations?api-version=2025-01-13
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 名称不区分大小写。 |
|
scope
|
path | True |
string pattern: [a-zA-Z0-9-_\.]+ |
Azure Arc PrivateLinkScope 资源的名称。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
已成功检索到网络安全外围配置详细信息。 |
|
| Other Status Codes |
描述作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Gets the list of network security perimeter configurations of the private link scope.
示例请求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/my-resource-group/providers/Microsoft.HybridCompute/privateLinkScopes/my-privatelinkscope/networkSecurityPerimeterConfigurations?api-version=2025-01-13
示例响应
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/my-resource-group/providers/Microsoft.HybridCompute/privateLinkScopes/my-privatelinkscope/networkSecurityPerimeterConfigurations/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee.myAssociation",
"name": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee.myAssociation",
"type": "Microsoft.HybridCompute/privateLinkScopes/networkSecurityPerimeterConfigurations",
"properties": {
"provisioningState": "Accepted",
"provisioningIssues": [],
"networkSecurityPerimeter": {
"id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/networkSecurityPerimeters/myPerimeter",
"perimeterGuid": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"location": "westus"
},
"resourceAssociation": {
"name": "myAssociation",
"accessMode": "enforced"
},
"profile": {
"name": "myProfile",
"accessRulesVersion": 1,
"accessRules": [
{
"name": "myAccessRule",
"properties": {
"direction": "Inbound",
"addressPrefixes": [
"148.0.0.0/8",
"152.4.6.0/24",
"..."
]
}
}
],
"diagnosticSettingsVersion": 1,
"enabledLogCategories": []
}
}
},
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/my-resource-group/providers/Microsoft.HybridCompute/privateLinkScopes/my-privatelinkscope/networkSecurityPerimeterConfigurations/37364608-77ea-4c2a-bdc3-4b0b1cdfab15.myAssociation2",
"name": "aaaaaaaa-0000-cccc-1111-eeeeeeeeeeee.myAssociation2",
"type": "Microsoft.HybridCompute/privateLinkScopes/networkSecurityPerimeterConfigurations",
"properties": {
"provisioningState": "Accepted",
"provisioningIssues": [],
"networkSecurityPerimeter": {
"id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/networkSecurityPerimeters/myOtherPerimeter",
"perimeterGuid": "aaaaaaaa-0000-cccc-1111-eeeeeeeeeeee",
"location": "westus"
},
"resourceAssociation": {
"name": "myAssociation",
"accessMode": "learning"
},
"profile": {
"name": "myProfile",
"accessRulesVersion": 1,
"accessRules": [
{
"name": "myAccessRule",
"properties": {
"direction": "Inbound",
"addressPrefixes": [
"122.0.0.0/8",
"144.4.6.0/24",
"..."
]
}
}
],
"diagnosticSettingsVersion": 1,
"enabledLogCategories": []
}
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Access |
影响资源的日志记录行为及其与其他资源和公用网络的连接的属性。 |
|
Access |
访问规则。 |
|
Access |
指示访问规则的方向。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Network |
定义网络安全外围资源的属性。 |
|
Network |
定义网络安全外围资源的属性。 |
|
Network |
网络安全外围配置列表。 |
|
Network |
网络安全外围配置文件 |
|
Provisioning |
有关预配期间发生的问题的详细信息。 |
|
Provisioning |
预配问题的严重性。 |
|
Provisioning |
预配问题的类型。 |
|
Resource |
定义资源关联的属性。 |
AccessMode
影响资源的日志记录行为及其与其他资源和公用网络的连接的属性。
| 值 | 说明 |
|---|---|
| enforced |
指示资源访问由 NSP 定义控制。 |
| audit |
干运行模式,其中根据 NSP 规则评估流量,记录但未强制实施。 |
| learning |
允许流量评估回退到特定于资源的防火墙配置。 |
AccessRule
访问规则。
| 名称 | 类型 | 说明 |
|---|---|---|
| name |
string |
访问规则的名称。 |
| properties.addressPrefixes |
string[] |
允许访问的地址前缀。 |
| properties.direction |
访问规则的方向。 |
AccessRuleDirection
指示访问规则的方向。
| 值 | 说明 |
|---|---|
| Inbound |
流量源自网络外部。 |
| Outbound |
流量源自网络内部 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
NetworkSecurityPerimeter
定义网络安全外围资源的属性。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
Azure 资源 ID |
| location |
string |
外围的区域位置 |
| perimeterGuid |
string |
网络安全外围的 Guid |
NetworkSecurityPerimeterConfiguration
定义网络安全外围资源的属性。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
Azure 资源 ID |
| name |
string |
Azure 资源名称 |
| properties.networkSecurityPerimeter |
与此配置关联的网络安全外围。 |
|
| properties.profile |
网络安全外围配置文件 |
|
| properties.provisioningIssues |
预配问题。 |
|
| properties.provisioningState |
string |
此 NetworkSecurityPerimeter 的当前状态:是否已在已定义的资源组中预配。 用户无法更改此值,但可以从中读取此值。 值将包括预配、成功、取消和失败。 |
| properties.resourceAssociation |
资源关联。 |
|
| type |
string |
Azure 资源类型 |
NetworkSecurityPerimeterConfigurationListResult
网络安全外围配置列表。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string |
用于检索下一页结果的链接。 |
| value |
结果数组。 |
NetworkSecurityPerimeterProfile
网络安全外围配置文件
| 名称 | 类型 | 说明 |
|---|---|---|
| accessRules |
配置文件的访问规则集合 |
|
| accessRulesVersion |
integer (int32) |
访问规则版本号 |
| diagnosticSettingsVersion |
integer (int32) |
诊断设置版本号 |
| enabledLogCategories |
string[] |
配置文件的已启用日志类别的集合 |
| name |
string |
资源的名称 |
ProvisioningIssue
有关预配期间发生的问题的详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| name |
string |
预配问题的名称。 |
| properties.description |
string |
预配问题的说明。 |
| properties.issueType |
问题类型 |
|
| properties.severity |
预配问题的严重性。 |
|
| properties.suggestedAccessRules |
可添加到外围以修正问题的访问规则 |
|
| properties.suggestedResourceIds |
string[] |
可以关联到同一外围的资源的 ARM ID,以修正问题 |
ProvisioningIssueSeverity
预配问题的严重性。
| 值 | 说明 |
|---|---|
| Warning |
预配成功后,警告可能会导致连接问题。 |
| Error |
错误将导致关联预配失败。 |
ProvisioningIssueType
预配问题的类型。
| 值 | 说明 |
|---|---|
| MissingPerimeterConfiguration |
缺少外围配置。 |
| MissingIdentityConfiguration |
缺少标识配置。 |
| ConfigurationPropagationFailure |
配置无法传播。 |
| Other |
其他失败。 |
ResourceAssociation
定义资源关联的属性。
| 名称 | 类型 | 说明 |
|---|---|---|
| accessMode |
访问模式 |
|
| name |
string |
资源关联的名称 |